# Class ConfigLoaderService

- Defined in lib/config-loader.service.ts:16

#####
Index

### Constructors

constructor

### Properties

configLoading
configs
http

### Methods

load$

## Constructors

### constructor

- new ConfigLoaderService(http): ConfigLoaderService

- #### Parameters

  - http: HttpClient

  #### Returns ConfigLoaderService

  - Defined in lib/config-loader.service.ts:21

## Properties

### `Readonly` configLoading

configLoading: Map<string, Observable<any>> = ...

- Defined in lib/config-loader.service.ts:19

### `Readonly` configs

configs: Map<string, any> = ...

- Defined in lib/config-loader.service.ts:17

### `Readonly` http

http: HttpClient

- Defined in lib/config-loader.service.ts:23

## Methods

### load$

- load$<T>(url): Promise<T>

- #### Type Parameters

  - T = any

  #### Parameters

  - url: string

  #### Returns Promise<T>

  - Defined in lib/config-loader.service.ts:27